> ## Documentation Index
> Fetch the complete documentation index at: https://docs.authsignal.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get User

> Retrieve information about a user.



## OpenAPI

````yaml server-api GET /users/{userId}
openapi: 3.0.0
info:
  description: Authsignal's Server API.
  version: 1.0.0
  title: Server API
  termsOfService: https://www.authsignal.com/legal/terms-of-service
  contact:
    email: hello@authsignal.com
servers:
  - url: https://api.authsignal.com/v1
  - url: https://au.api.authsignal.com/v1
  - url: https://eu.api.authsignal.com/v1
  - url: https://ca.api.authsignal.com/v1
security:
  - basicAuth: []
tags:
  - name: users
    description: ''
    externalDocs:
      description: Find out more
      url: https://docs.authsignal.com
  - name: challenge
    description: ''
    externalDocs:
      description: Find out more
      url: https://docs.authsignal.com
  - name: authenticator configurations
    description: ''
    externalDocs:
      description: Find out more
      url: https://docs.authsignal.com
  - name: actions
    description: ''
    externalDocs:
      description: Find out more
      url: https://docs.authsignal.com
  - name: query
    description: ''
    externalDocs:
      description: Find out more
      url: https://docs.authsignal.com
  - name: email
    description: ''
    externalDocs:
      description: Find out more
      url: https://docs.authsignal.com
  - name: sms
    description: ''
    externalDocs:
      description: Find out more
      url: https://docs.authsignal.com
  - name: verify
    description: ''
    externalDocs:
      description: Find out more
      url: https://docs.authsignal.com
  - name: challenges
    description: ''
    externalDocs:
      description: Find out more
      url: https://docs.authsignal.com
  - name: sessions
    description: ''
    externalDocs:
      description: Find out more
      url: https://docs.authsignal.com
  - name: devices
    description: ''
    externalDocs:
      description: Find out more
      url: https://docs.authsignal.com
externalDocs:
  description: Find out more about Authsignal
  url: https://docs.authsignal.com
paths:
  /users/{userId}:
    get:
      tags:
        - users
      summary: Get user
      description: Retrieve information about a user.
      operationId: getUserById
      parameters:
        - $ref: '#/components/parameters/userId'
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/GetUserResponse'
        '401':
          $ref: '#/components/responses/Unauthorized'
components:
  parameters:
    userId:
      name: userId
      in: path
      description: The ID of the user.
      required: true
      schema:
        type: string
  schemas:
    GetUserResponse:
      type: object
      properties:
        isEnrolled:
          type: boolean
          description: >-
            True if the user is enrolled with at least one verification method
            and can be challenged.
        email:
          type: string
          description: The user's email address.
        phoneNumber:
          type: string
          description: The user's phone number in E.164 format.
        username:
          type: string
          description: >-
            The username used as the primary identifier for passkeys, e.g. an
            email address.
        displayName:
          type: string
          description: >-
            The display name used as an optional secondary identifier for
            passkeys, e.g. the user's full name.
        allowedVerificationMethods:
          type: array
          items:
            $ref: '#/components/schemas/VerificationMethod'
          description: >-
            The list of verification methods which the user is permitted to
            enroll.
        enrolledVerificationMethods:
          type: array
          items:
            $ref: '#/components/schemas/VerificationMethod'
          description: The list of verification methods which the user has enrolled.
        defaultVerificationMethod:
          $ref: '#/components/schemas/VerificationMethod'
        custom:
          type: object
          description: >-
            A JSON object which can include any key/value pairs. Should be
            provided when using rules based on your own data points.
        locale:
          $ref: '#/components/schemas/Locale'
      xml:
        name: GetUserResponse
    VerificationMethod:
      type: string
      enum:
        - SMS
        - AUTHENTICATOR_APP
        - EMAIL_MAGIC_LINK
        - EMAIL_OTP
        - PUSH
        - DEVICE
        - SECURITY_KEY
        - PASSKEY
        - VERIFF
        - IPROOV
        - PALM_BIOMETRICS_RR
        - IDVERSE
    Locale:
      type: string
      description: >-
        The locale of the user in BCP 47 format. Used to localize the pre-built
        UI, email, and SMS messages.
      pattern: ^[a-z]{2}(-[a-zA-Z]{2,})?$
      example: es
    Error:
      type: object
      properties:
        error:
          type: string
        errorDescription:
          type: string
      required:
        - error
  responses:
    Unauthorized:
      description: Unauthorized
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/Error'
  securitySchemes:
    basicAuth:
      type: http
      scheme: basic
      description: >-
        Use your Authsignal Server API secret key as the username and leave the
        password empty. The secret key can be found in the API Keys section of
        the Authsignal Portal settings page.

````